1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19am__make_running_with_option = \
20  case $${target_option-} in \
21      ?) ;; \
22      *) echo "am__make_running_with_option: internal error: invalid" \
23              "target option '$${target_option-}' specified" >&2; \
24         exit 1;; \
25  esac; \
26  has_opt=no; \
27  sane_makeflags=$$MAKEFLAGS; \
28  if $(am__is_gnu_make); then \
29    sane_makeflags=$$MFLAGS; \
30  else \
31    case $$MAKEFLAGS in \
32      *\\[\ \	]*) \
33        bs=\\; \
34        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
36    esac; \
37  fi; \
38  skip_next=no; \
39  strip_trailopt () \
40  { \
41    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42  }; \
43  for flg in $$sane_makeflags; do \
44    test $$skip_next = yes && { skip_next=no; continue; }; \
45    case $$flg in \
46      *=*|--*) continue;; \
47        -*I) strip_trailopt 'I'; skip_next=yes;; \
48      -*I?*) strip_trailopt 'I';; \
49        -*O) strip_trailopt 'O'; skip_next=yes;; \
50      -*O?*) strip_trailopt 'O';; \
51        -*l) strip_trailopt 'l'; skip_next=yes;; \
52      -*l?*) strip_trailopt 'l';; \
53      -[dEDm]) skip_next=yes;; \
54      -[JT]) skip_next=yes;; \
55    esac; \
56    case $$flg in \
57      *$$target_option*) has_opt=yes; break;; \
58    esac; \
59  done; \
60  test $$has_opt = yes
61am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
63pkgdatadir = $(datadir)/@PACKAGE@
64pkgincludedir = $(includedir)/@PACKAGE@
65pkglibdir = $(libdir)/@PACKAGE@
66pkglibexecdir = $(libexecdir)/@PACKAGE@
67am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68install_sh_DATA = $(install_sh) -c -m 644
69install_sh_PROGRAM = $(install_sh) -c
70install_sh_SCRIPT = $(install_sh) -c
71INSTALL_HEADER = $(INSTALL_DATA)
72transform = $(program_transform_name)
73NORMAL_INSTALL = :
74PRE_INSTALL = :
75POST_INSTALL = :
76NORMAL_UNINSTALL = :
77PRE_UNINSTALL = :
78POST_UNINSTALL = :
79subdir = .
80DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
81	$(top_srcdir)/configure $(am__configure_deps) \
82	$(srcdir)/config.h.in AUTHORS COPYING ChangeLog INSTALL NEWS \
83	README compile depcomp install-sh missing
84ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85am__aclocal_m4_deps = $(top_srcdir)/intltool.m4 \
86	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
87am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
88	$(ACLOCAL_M4)
89am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
90 configure.lineno config.status.lineno
91mkinstalldirs = $(install_sh) -d
92CONFIG_HEADER = config.h
93CONFIG_CLEAN_FILES =
94CONFIG_CLEAN_VPATH_FILES =
95AM_V_P = $(am__v_P_@AM_V@)
96am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
97am__v_P_0 = false
98am__v_P_1 = :
99AM_V_GEN = $(am__v_GEN_@AM_V@)
100am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
101am__v_GEN_0 = @echo "  GEN     " $@;
102am__v_GEN_1 =
103AM_V_at = $(am__v_at_@AM_V@)
104am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
105am__v_at_0 = @
106am__v_at_1 =
107SOURCES =
108DIST_SOURCES =
109RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
110	ctags-recursive dvi-recursive html-recursive info-recursive \
111	install-data-recursive install-dvi-recursive \
112	install-exec-recursive install-html-recursive \
113	install-info-recursive install-pdf-recursive \
114	install-ps-recursive install-recursive installcheck-recursive \
115	installdirs-recursive pdf-recursive ps-recursive \
116	tags-recursive uninstall-recursive
117am__can_run_installinfo = \
118  case $$AM_UPDATE_INFO_DIR in \
119    n|no|NO) false;; \
120    *) (install-info --version) >/dev/null 2>&1;; \
121  esac
122am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
123am__vpath_adj = case $$p in \
124    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
125    *) f=$$p;; \
126  esac;
127am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
128am__install_max = 40
129am__nobase_strip_setup = \
130  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
131am__nobase_strip = \
132  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
133am__nobase_list = $(am__nobase_strip_setup); \
134  for p in $$list; do echo "$$p $$p"; done | \
135  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
136  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
137    if (++n[$$2] == $(am__install_max)) \
138      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
139    END { for (dir in files) print dir, files[dir] }'
140am__base_list = \
141  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
142  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
143am__uninstall_files_from_dir = { \
144  test -z "$$files" \
145    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
146    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
147         $(am__cd) "$$dir" && rm -f $$files; }; \
148  }
149am__installdirs = "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(iconsdir)" \
150	"$(DESTDIR)$(uidir)"
151DATA = $(desktop_DATA) $(icons_DATA) $(ui_DATA)
152RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
153  distclean-recursive maintainer-clean-recursive
154am__recursive_targets = \
155  $(RECURSIVE_TARGETS) \
156  $(RECURSIVE_CLEAN_TARGETS) \
157  $(am__extra_recursive_targets)
158AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
159	cscope distdir dist dist-all distcheck
160am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
161	$(LISP)config.h.in
162# Read a list of newline-separated strings from the standard input,
163# and print each of them once, without duplicates.  Input order is
164# *not* preserved.
165am__uniquify_input = $(AWK) '\
166  BEGIN { nonempty = 0; } \
167  { items[$$0] = 1; nonempty = 1; } \
168  END { if (nonempty) { for (i in items) print i; }; } \
169'
170# Make sure the list of sources is unique.  This is necessary because,
171# e.g., the same source file might be shared among _SOURCES variables
172# for different programs/libraries.
173am__define_uniq_tagged_files = \
174  list='$(am__tagged_files)'; \
175  unique=`for i in $$list; do \
176    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
177  done | $(am__uniquify_input)`
178ETAGS = etags
179CTAGS = ctags
180CSCOPE = cscope
181DIST_SUBDIRS = $(SUBDIRS)
182DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
183distdir = $(PACKAGE)-$(VERSION)
184top_distdir = $(distdir)
185am__remove_distdir = \
186  if test -d "$(distdir)"; then \
187    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
188      && rm -rf "$(distdir)" \
189      || { sleep 5 && rm -rf "$(distdir)"; }; \
190  else :; fi
191am__post_remove_distdir = $(am__remove_distdir)
192am__relativize = \
193  dir0=`pwd`; \
194  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
195  sed_rest='s,^[^/]*/*,,'; \
196  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
197  sed_butlast='s,/*[^/]*$$,,'; \
198  while test -n "$$dir1"; do \
199    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
200    if test "$$first" != "."; then \
201      if test "$$first" = ".."; then \
202        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
203        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
204      else \
205        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
206        if test "$$first2" = "$$first"; then \
207          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
208        else \
209          dir2="../$$dir2"; \
210        fi; \
211        dir0="$$dir0"/"$$first"; \
212      fi; \
213    fi; \
214    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
215  done; \
216  reldir="$$dir2"
217GZIP_ENV = --best
218DIST_ARCHIVES = $(distdir).tar.xz
219DIST_TARGETS = dist-xz
220distuninstallcheck_listfiles = find . -type f -print
221am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
222  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
223distcleancheck_listfiles = find . -type f -print
224ACLOCAL = @ACLOCAL@
225ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
226ALL_LINGUAS = @ALL_LINGUAS@
227AMTAR = @AMTAR@
228AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
229AUTOCONF = @AUTOCONF@
230AUTOHEADER = @AUTOHEADER@
231AUTOMAKE = @AUTOMAKE@
232AWK = @AWK@
233CATALOGS = @CATALOGS@
234CATOBJEXT = @CATOBJEXT@
235CC = @CC@
236CCDEPMODE = @CCDEPMODE@
237CFLAGS = @CFLAGS@
238CPP = @CPP@
239CPPFLAGS = @CPPFLAGS@
240CYGPATH_W = @CYGPATH_W@
241DATADIRNAME = @DATADIRNAME@
242DEFS = @DEFS@
243DEPDIR = @DEPDIR@
244ECHO_C = @ECHO_C@
245ECHO_N = @ECHO_N@
246ECHO_T = @ECHO_T@
247EGREP = @EGREP@
248EXEEXT = @EXEEXT@
249GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
250GMOFILES = @GMOFILES@
251GMSGFMT = @GMSGFMT@
252GREP = @GREP@
253GTK_CFLAGS = @GTK_CFLAGS@
254GTK_LIBS = @GTK_LIBS@
255INSTALL = @INSTALL@
256INSTALL_DATA = @INSTALL_DATA@
257INSTALL_PROGRAM = @INSTALL_PROGRAM@
258INSTALL_SCRIPT = @INSTALL_SCRIPT@
259INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
260INSTOBJEXT = @INSTOBJEXT@
261INTLLIBS = @INTLLIBS@
262INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
263INTLTOOL_MERGE = @INTLTOOL_MERGE@
264INTLTOOL_PERL = @INTLTOOL_PERL@
265INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
266INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
267INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
268INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
269INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
270LDFLAGS = @LDFLAGS@
271LIBOBJS = @LIBOBJS@
272LIBS = @LIBS@
273LTLIBOBJS = @LTLIBOBJS@
274MAINT = @MAINT@
275MAKEINFO = @MAKEINFO@
276MKDIR_P = @MKDIR_P@
277MKINSTALLDIRS = @MKINSTALLDIRS@
278MSGFMT = @MSGFMT@
279MSGFMT_OPTS = @MSGFMT_OPTS@
280MSGMERGE = @MSGMERGE@
281OBJEXT = @OBJEXT@
282PACKAGE = @PACKAGE@
283PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
284PACKAGE_NAME = @PACKAGE_NAME@
285PACKAGE_STRING = @PACKAGE_STRING@
286PACKAGE_TARNAME = @PACKAGE_TARNAME@
287PACKAGE_URL = @PACKAGE_URL@
288PACKAGE_VERSION = @PACKAGE_VERSION@
289PATH_SEPARATOR = @PATH_SEPARATOR@
290PKG_CONFIG = @PKG_CONFIG@
291PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
292PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
293POFILES = @POFILES@
294POSUB = @POSUB@
295PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
296PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
297SET_MAKE = @SET_MAKE@
298SHELL = @SHELL@
299STRIP = @STRIP@
300USE_NLS = @USE_NLS@
301VERSION = @VERSION@
302XGETTEXT = @XGETTEXT@
303XLIB_CFLAGS = @XLIB_CFLAGS@
304XLIB_LIBS = @XLIB_LIBS@
305XMLCATALOG = @XMLCATALOG@
306XML_CATALOG_FILE = @XML_CATALOG_FILE@
307XSLTPROC = @XSLTPROC@
308abs_builddir = @abs_builddir@
309abs_srcdir = @abs_srcdir@
310abs_top_builddir = @abs_top_builddir@
311abs_top_srcdir = @abs_top_srcdir@
312ac_ct_CC = @ac_ct_CC@
313am__include = @am__include@
314am__leading_dot = @am__leading_dot@
315am__quote = @am__quote@
316am__tar = @am__tar@
317am__untar = @am__untar@
318bindir = @bindir@
319build_alias = @build_alias@
320builddir = @builddir@
321datadir = @datadir@
322datarootdir = @datarootdir@
323docdir = @docdir@
324dvidir = @dvidir@
325exec_prefix = @exec_prefix@
326host_alias = @host_alias@
327htmldir = @htmldir@
328includedir = @includedir@
329infodir = @infodir@
330install_sh = @install_sh@
331intltool__v_merge_options_ = @intltool__v_merge_options_@
332intltool__v_merge_options_0 = @intltool__v_merge_options_0@
333libdir = @libdir@
334libexecdir = @libexecdir@
335localedir = @localedir@
336localstatedir = @localstatedir@
337mandir = @mandir@
338mkdir_p = @mkdir_p@
339oldincludedir = @oldincludedir@
340pdfdir = @pdfdir@
341prefix = @prefix@
342program_transform_name = @program_transform_name@
343psdir = @psdir@
344sbindir = @sbindir@
345sharedstatedir = @sharedstatedir@
346srcdir = @srcdir@
347sysconfdir = @sysconfdir@
348target_alias = @target_alias@
349top_build_prefix = @top_build_prefix@
350top_builddir = @top_builddir@
351top_srcdir = @top_srcdir@
352ACLOCAL_AMFLAGS = -I .
353NULL =
354SUBDIRS = src po man
355uidir = $(datadir)/lxinput
356ui_DATA = data/lxinput.ui
357desktopdir = $(datadir)/applications
358desktop_in_files = \
359	data/lxinput.desktop.in \
360	$(NULL)
361
362desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
363iconsdir = $(datadir)/lxinput
364icons_DATA = \
365	data/input-keyboard.png \
366	data/input-mouse.png
367
368EXTRA_DIST = \
369	$(ui_DATA) \
370	$(desktop_DATA) \
371	$(desktop_in_files) \
372	$(icons_DATA) \
373	$(NULL)
374
375CLEANFILES = \
376	$(NULL)
377
378all: config.h
379	$(MAKE) $(AM_MAKEFLAGS) all-recursive
380
381.SUFFIXES:
382am--refresh: Makefile
383	@:
384$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
385	@for dep in $?; do \
386	  case '$(am__configure_deps)' in \
387	    *$$dep*) \
388	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
389	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
390		&& exit 0; \
391	      exit 1;; \
392	  esac; \
393	done; \
394	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
395	$(am__cd) $(top_srcdir) && \
396	  $(AUTOMAKE) --foreign Makefile
397.PRECIOUS: Makefile
398Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
399	@case '$?' in \
400	  *config.status*) \
401	    echo ' $(SHELL) ./config.status'; \
402	    $(SHELL) ./config.status;; \
403	  *) \
404	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
405	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
406	esac;
407
408$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
409	$(SHELL) ./config.status --recheck
410
411$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
412	$(am__cd) $(srcdir) && $(AUTOCONF)
413$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
414	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
415$(am__aclocal_m4_deps):
416
417config.h: stamp-h1
418	@test -f $@ || rm -f stamp-h1
419	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
420
421stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
422	@rm -f stamp-h1
423	cd $(top_builddir) && $(SHELL) ./config.status config.h
424$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
425	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
426	rm -f stamp-h1
427	touch $@
428
429distclean-hdr:
430	-rm -f config.h stamp-h1
431install-desktopDATA: $(desktop_DATA)
432	@$(NORMAL_INSTALL)
433	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
434	if test -n "$$list"; then \
435	  echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
436	  $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
437	fi; \
438	for p in $$list; do \
439	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
440	  echo "$$d$$p"; \
441	done | $(am__base_list) | \
442	while read files; do \
443	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
444	  $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
445	done
446
447uninstall-desktopDATA:
448	@$(NORMAL_UNINSTALL)
449	@list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
450	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
451	dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
452install-iconsDATA: $(icons_DATA)
453	@$(NORMAL_INSTALL)
454	@list='$(icons_DATA)'; test -n "$(iconsdir)" || list=; \
455	if test -n "$$list"; then \
456	  echo " $(MKDIR_P) '$(DESTDIR)$(iconsdir)'"; \
457	  $(MKDIR_P) "$(DESTDIR)$(iconsdir)" || exit 1; \
458	fi; \
459	for p in $$list; do \
460	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
461	  echo "$$d$$p"; \
462	done | $(am__base_list) | \
463	while read files; do \
464	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(iconsdir)'"; \
465	  $(INSTALL_DATA) $$files "$(DESTDIR)$(iconsdir)" || exit $$?; \
466	done
467
468uninstall-iconsDATA:
469	@$(NORMAL_UNINSTALL)
470	@list='$(icons_DATA)'; test -n "$(iconsdir)" || list=; \
471	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
472	dir='$(DESTDIR)$(iconsdir)'; $(am__uninstall_files_from_dir)
473install-uiDATA: $(ui_DATA)
474	@$(NORMAL_INSTALL)
475	@list='$(ui_DATA)'; test -n "$(uidir)" || list=; \
476	if test -n "$$list"; then \
477	  echo " $(MKDIR_P) '$(DESTDIR)$(uidir)'"; \
478	  $(MKDIR_P) "$(DESTDIR)$(uidir)" || exit 1; \
479	fi; \
480	for p in $$list; do \
481	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
482	  echo "$$d$$p"; \
483	done | $(am__base_list) | \
484	while read files; do \
485	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(uidir)'"; \
486	  $(INSTALL_DATA) $$files "$(DESTDIR)$(uidir)" || exit $$?; \
487	done
488
489uninstall-uiDATA:
490	@$(NORMAL_UNINSTALL)
491	@list='$(ui_DATA)'; test -n "$(uidir)" || list=; \
492	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
493	dir='$(DESTDIR)$(uidir)'; $(am__uninstall_files_from_dir)
494
495# This directory's subdirectories are mostly independent; you can cd
496# into them and run 'make' without going through this Makefile.
497# To change the values of 'make' variables: instead of editing Makefiles,
498# (1) if the variable is set in 'config.status', edit 'config.status'
499#     (which will cause the Makefiles to be regenerated when you run 'make');
500# (2) otherwise, pass the desired values on the 'make' command line.
501$(am__recursive_targets):
502	@fail=; \
503	if $(am__make_keepgoing); then \
504	  failcom='fail=yes'; \
505	else \
506	  failcom='exit 1'; \
507	fi; \
508	dot_seen=no; \
509	target=`echo $@ | sed s/-recursive//`; \
510	case "$@" in \
511	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
512	  *) list='$(SUBDIRS)' ;; \
513	esac; \
514	for subdir in $$list; do \
515	  echo "Making $$target in $$subdir"; \
516	  if test "$$subdir" = "."; then \
517	    dot_seen=yes; \
518	    local_target="$$target-am"; \
519	  else \
520	    local_target="$$target"; \
521	  fi; \
522	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
523	  || eval $$failcom; \
524	done; \
525	if test "$$dot_seen" = "no"; then \
526	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
527	fi; test -z "$$fail"
528
529ID: $(am__tagged_files)
530	$(am__define_uniq_tagged_files); mkid -fID $$unique
531tags: tags-recursive
532TAGS: tags
533
534tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
535	set x; \
536	here=`pwd`; \
537	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
538	  include_option=--etags-include; \
539	  empty_fix=.; \
540	else \
541	  include_option=--include; \
542	  empty_fix=; \
543	fi; \
544	list='$(SUBDIRS)'; for subdir in $$list; do \
545	  if test "$$subdir" = .; then :; else \
546	    test ! -f $$subdir/TAGS || \
547	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
548	  fi; \
549	done; \
550	$(am__define_uniq_tagged_files); \
551	shift; \
552	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
553	  test -n "$$unique" || unique=$$empty_fix; \
554	  if test $$# -gt 0; then \
555	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
556	      "$$@" $$unique; \
557	  else \
558	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
559	      $$unique; \
560	  fi; \
561	fi
562ctags: ctags-recursive
563
564CTAGS: ctags
565ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
566	$(am__define_uniq_tagged_files); \
567	test -z "$(CTAGS_ARGS)$$unique" \
568	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
569	     $$unique
570
571GTAGS:
572	here=`$(am__cd) $(top_builddir) && pwd` \
573	  && $(am__cd) $(top_srcdir) \
574	  && gtags -i $(GTAGS_ARGS) "$$here"
575cscope: cscope.files
576	test ! -s cscope.files \
577	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
578clean-cscope:
579	-rm -f cscope.files
580cscope.files: clean-cscope cscopelist
581cscopelist: cscopelist-recursive
582
583cscopelist-am: $(am__tagged_files)
584	list='$(am__tagged_files)'; \
585	case "$(srcdir)" in \
586	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
587	  *) sdir=$(subdir)/$(srcdir) ;; \
588	esac; \
589	for i in $$list; do \
590	  if test -f "$$i"; then \
591	    echo "$(subdir)/$$i"; \
592	  else \
593	    echo "$$sdir/$$i"; \
594	  fi; \
595	done >> $(top_builddir)/cscope.files
596
597distclean-tags:
598	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
599	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
600
601distdir: $(DISTFILES)
602	$(am__remove_distdir)
603	test -d "$(distdir)" || mkdir "$(distdir)"
604	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
605	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
606	list='$(DISTFILES)'; \
607	  dist_files=`for file in $$list; do echo $$file; done | \
608	  sed -e "s|^$$srcdirstrip/||;t" \
609	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
610	case $$dist_files in \
611	  */*) $(MKDIR_P) `echo "$$dist_files" | \
612			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
613			   sort -u` ;; \
614	esac; \
615	for file in $$dist_files; do \
616	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
617	  if test -d $$d/$$file; then \
618	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
619	    if test -d "$(distdir)/$$file"; then \
620	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
621	    fi; \
622	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
623	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
624	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
625	    fi; \
626	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
627	  else \
628	    test -f "$(distdir)/$$file" \
629	    || cp -p $$d/$$file "$(distdir)/$$file" \
630	    || exit 1; \
631	  fi; \
632	done
633	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
634	  if test "$$subdir" = .; then :; else \
635	    $(am__make_dryrun) \
636	      || test -d "$(distdir)/$$subdir" \
637	      || $(MKDIR_P) "$(distdir)/$$subdir" \
638	      || exit 1; \
639	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
640	    $(am__relativize); \
641	    new_distdir=$$reldir; \
642	    dir1=$$subdir; dir2="$(top_distdir)"; \
643	    $(am__relativize); \
644	    new_top_distdir=$$reldir; \
645	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
646	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
647	    ($(am__cd) $$subdir && \
648	      $(MAKE) $(AM_MAKEFLAGS) \
649	        top_distdir="$$new_top_distdir" \
650	        distdir="$$new_distdir" \
651		am__remove_distdir=: \
652		am__skip_length_check=: \
653		am__skip_mode_fix=: \
654	        distdir) \
655	      || exit 1; \
656	  fi; \
657	done
658	-test -n "$(am__skip_mode_fix)" \
659	|| find "$(distdir)" -type d ! -perm -755 \
660		-exec chmod u+rwx,go+rx {} \; -o \
661	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
662	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
663	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
664	|| chmod -R a+r "$(distdir)"
665dist-gzip: distdir
666	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
667	$(am__post_remove_distdir)
668
669dist-bzip2: distdir
670	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
671	$(am__post_remove_distdir)
672
673dist-lzip: distdir
674	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
675	$(am__post_remove_distdir)
676dist-xz: distdir
677	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
678	$(am__post_remove_distdir)
679
680dist-tarZ: distdir
681	@echo WARNING: "Support for shar distribution archives is" \
682	               "deprecated." >&2
683	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
684	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
685	$(am__post_remove_distdir)
686
687dist-shar: distdir
688	@echo WARNING: "Support for distribution archives compressed with" \
689		       "legacy program 'compress' is deprecated." >&2
690	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
691	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
692	$(am__post_remove_distdir)
693
694dist-zip: distdir
695	-rm -f $(distdir).zip
696	zip -rq $(distdir).zip $(distdir)
697	$(am__post_remove_distdir)
698
699dist dist-all:
700	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
701	$(am__post_remove_distdir)
702
703# This target untars the dist file and tries a VPATH configuration.  Then
704# it guarantees that the distribution is self-contained by making another
705# tarfile.
706distcheck: dist
707	case '$(DIST_ARCHIVES)' in \
708	*.tar.gz*) \
709	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
710	*.tar.bz2*) \
711	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
712	*.tar.lz*) \
713	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
714	*.tar.xz*) \
715	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
716	*.tar.Z*) \
717	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
718	*.shar.gz*) \
719	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
720	*.zip*) \
721	  unzip $(distdir).zip ;;\
722	esac
723	chmod -R a-w $(distdir)
724	chmod u+w $(distdir)
725	mkdir $(distdir)/_build $(distdir)/_inst
726	chmod a-w $(distdir)
727	test -d $(distdir)/_build || exit 0; \
728	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
729	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
730	  && am__cwd=`pwd` \
731	  && $(am__cd) $(distdir)/_build \
732	  && ../configure \
733	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
734	    $(DISTCHECK_CONFIGURE_FLAGS) \
735	    --srcdir=.. --prefix="$$dc_install_base" \
736	  && $(MAKE) $(AM_MAKEFLAGS) \
737	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
738	  && $(MAKE) $(AM_MAKEFLAGS) check \
739	  && $(MAKE) $(AM_MAKEFLAGS) install \
740	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
741	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
742	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
743	        distuninstallcheck \
744	  && chmod -R a-w "$$dc_install_base" \
745	  && ({ \
746	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
747	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
748	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
749	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
750	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
751	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
752	  && rm -rf "$$dc_destdir" \
753	  && $(MAKE) $(AM_MAKEFLAGS) dist \
754	  && rm -rf $(DIST_ARCHIVES) \
755	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
756	  && cd "$$am__cwd" \
757	  || exit 1
758	$(am__post_remove_distdir)
759	@(echo "$(distdir) archives ready for distribution: "; \
760	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
761	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
762distuninstallcheck:
763	@test -n '$(distuninstallcheck_dir)' || { \
764	  echo 'ERROR: trying to run $@ with an empty' \
765	       '$$(distuninstallcheck_dir)' >&2; \
766	  exit 1; \
767	}; \
768	$(am__cd) '$(distuninstallcheck_dir)' || { \
769	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
770	  exit 1; \
771	}; \
772	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
773	   || { echo "ERROR: files left after uninstall:" ; \
774	        if test -n "$(DESTDIR)"; then \
775	          echo "  (check DESTDIR support)"; \
776	        fi ; \
777	        $(distuninstallcheck_listfiles) ; \
778	        exit 1; } >&2
779distcleancheck: distclean
780	@if test '$(srcdir)' = . ; then \
781	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
782	  exit 1 ; \
783	fi
784	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
785	  || { echo "ERROR: files left in build directory after distclean:" ; \
786	       $(distcleancheck_listfiles) ; \
787	       exit 1; } >&2
788check-am: all-am
789check: check-recursive
790all-am: Makefile $(DATA) config.h
791installdirs: installdirs-recursive
792installdirs-am:
793	for dir in "$(DESTDIR)$(desktopdir)" "$(DESTDIR)$(iconsdir)" "$(DESTDIR)$(uidir)"; do \
794	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
795	done
796install: install-recursive
797install-exec: install-exec-recursive
798install-data: install-data-recursive
799uninstall: uninstall-recursive
800
801install-am: all-am
802	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
803
804installcheck: installcheck-recursive
805install-strip:
806	if test -z '$(STRIP)'; then \
807	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
808	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
809	      install; \
810	else \
811	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
812	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
813	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
814	fi
815mostlyclean-generic:
816
817clean-generic:
818	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
819
820distclean-generic:
821	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
822	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
823
824maintainer-clean-generic:
825	@echo "This command is intended for maintainers to use"
826	@echo "it deletes files that may require special tools to rebuild."
827clean: clean-recursive
828
829clean-am: clean-generic mostlyclean-am
830
831distclean: distclean-recursive
832	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
833	-rm -f Makefile
834distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
835
836dvi: dvi-recursive
837
838dvi-am:
839
840html: html-recursive
841
842html-am:
843
844info: info-recursive
845
846info-am:
847
848install-data-am: install-desktopDATA install-iconsDATA install-uiDATA
849
850install-dvi: install-dvi-recursive
851
852install-dvi-am:
853
854install-exec-am:
855
856install-html: install-html-recursive
857
858install-html-am:
859
860install-info: install-info-recursive
861
862install-info-am:
863
864install-man:
865
866install-pdf: install-pdf-recursive
867
868install-pdf-am:
869
870install-ps: install-ps-recursive
871
872install-ps-am:
873
874installcheck-am:
875
876maintainer-clean: maintainer-clean-recursive
877	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
878	-rm -rf $(top_srcdir)/autom4te.cache
879	-rm -f Makefile
880maintainer-clean-am: distclean-am maintainer-clean-generic
881
882mostlyclean: mostlyclean-recursive
883
884mostlyclean-am: mostlyclean-generic
885
886pdf: pdf-recursive
887
888pdf-am:
889
890ps: ps-recursive
891
892ps-am:
893
894uninstall-am: uninstall-desktopDATA uninstall-iconsDATA \
895	uninstall-uiDATA
896
897.MAKE: $(am__recursive_targets) all install-am install-strip
898
899.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
900	am--refresh check check-am clean clean-cscope clean-generic \
901	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
902	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
903	distcheck distclean distclean-generic distclean-hdr \
904	distclean-tags distcleancheck distdir distuninstallcheck dvi \
905	dvi-am html html-am info info-am install install-am \
906	install-data install-data-am install-desktopDATA install-dvi \
907	install-dvi-am install-exec install-exec-am install-html \
908	install-html-am install-iconsDATA install-info install-info-am \
909	install-man install-pdf install-pdf-am install-ps \
910	install-ps-am install-strip install-uiDATA installcheck \
911	installcheck-am installdirs installdirs-am maintainer-clean \
912	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
913	pdf-am ps ps-am tags tags-am uninstall uninstall-am \
914	uninstall-desktopDATA uninstall-iconsDATA uninstall-uiDATA
915
916@INTLTOOL_DESKTOP_RULE@
917
918# Tell versions [3.59,3.63) of GNU make to not export all variables.
919# Otherwise a system limit (for SysV at least) may be exceeded.
920.NOEXPORT:
921